Bug 204026 - anaconda thinks legal netmasks are invalid
Summary: anaconda thinks legal netmasks are invalid
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-08-25 03:52 UTC by Jeff Moe (jebba)
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 19:30:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Moe (jebba) 2006-08-25 03:52:27 UTC
Description of problem:
When setting up "Network Configuration" in anaconda, it says "You must enter
valid IP information to continue" if you choose a valid netmask such as
255.255.255.128.


Version-Release number of selected component (if applicable):
anaconda in fc6t2


Steps to Reproduce:
1. Do a network install
2. When it first asks you to set up networking (stage1), select DHCP.
3. Go through the various steps until "Network configuration for eth1"
4. For "Netmask" try 255.255.255.128, 255.255.255.192, etc.
  

Actual results:
"You must enter valid IP information to continue"


Expected results:
It accepts the valid netmask.


Additional info:
If you key in 255.255.255.0 it works fine.

This was done during a network install, but may be valid during a CD install too.

I tried it with IPv6 both enabled/disabled at the stage1 step.

This box has two NICs: eth0 & 1 and it complains in both cases.

It fails in both graphical and text install.

If at the stage1 network setup you manually set the IP (e.g. no DHCP), you can
go through the network setup stage fine (assuming you don't try to change the IP
address in stage2).

Comment 1 Jeff Moe (jebba) 2006-08-25 04:09:29 UTC
Actually, this above statement is INCORRECT, as it does still complain: "If at
the stage1 network setup you manually set the IP (e.g. no DHCP), you can go
through the network setup stage fine (assuming you don't try to change the IP
address in stage2)."

And the step where it does work (stage1, before graphical install begins) is
"Manual TCP/IP Configuration". It's the latter step that fails. Clear enough? ;)

Comment 2 David Cantrell 2006-10-02 19:30:50 UTC
Yes, clear enough.  And it's fixed in rawhide.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.